extends Item

const ARMOR_EFFECT = preload("res://Effects/Armor.tscn")

func use(target, _target_enemy):
	Audio.play_sound("ItemUse")
	if target is Entity:
		var inst = ARMOR_EFFECT.instance()
		inst.set_timers(10, 10)
		target.add_effect(inst)
